Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155190 - New document: Software management with yum
Summary: New document: Software management with yum
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: software-management-guide
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stuart Ellis
QA Contact: Paul W. Frields
URL:
Whiteboard:
Depends On:
Blocks: fedora-docs-writing
TreeView+ depends on / blocked
 
Reported: 2005-04-17 21:29 UTC by Stuart Ellis
Modified: 2008-01-29 18:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-29 18:52:41 UTC


Attachments (Terms of Use)

Description Stuart Ellis 2005-04-17 21:29:47 UTC
Description of problem:

Managing software on FC is currently slightly complicated.   This tutorial
includes an overview of the situation and how the different applications relate,
as well as documenting yum.  

It's a trimmed version of a document that has been posted to the
fedora-docs-list previously, and another piece of that earlier document has 
been reworked as the tutorial on bug 155180.

Additional info:

HTML: http://www.mythic-beasts.com/~hobb/fedora/yum-software-management-en/

DocBook source:
http://www.mythic-beasts.com/~hobb/fedora/fedora-yum-software-management-0.2.tar.gz

Comment 1 Stuart Ellis 2005-06-01 21:37:20 UTC
This document has now been imported into CVS as the module yum-software-management

Comment 2 Peter Ennis 2005-10-13 03:26:33 UTC
I am running rawhide and get some error that seems to indicate I should 
upgrade the kernel. According to docs this is supposed to be automatic. The 
yum software management does not indicate how to upgrade the kernel.
It is, afterall, "software".
There are hints and references on the web to making a backup of the running 
kernel, but I did not find any howto yet for a
rawhide/fedora/rpm/yum/kernel "safe" upgrade process.
I would like to see this as a section of the yum doc or a pointer to
such an article in the yum doc.

PFE


Comment 3 Peter Ennis 2005-10-13 03:31:55 UTC
Sample reference:

http://forums1.itrc.hp.com/service/forums/questionanswer.do?threadId=877336

PFE

Comment 5 Paul W. Frields 2005-10-13 11:45:14 UTC
The author is referring to the fact that current Rawhide has a "conflicts" with
kernels < 2.6.13, so users trying to "update" to Rawhide will not be able to do
so without removing old kernels from their system first.  "Updating" to Rawhide
has never been supported as far as I know, and users should expect these sorts
of things to break from time to time.  This particular problem has been
discussed several times in the last week or two on fedora-devel-list, in fact. 
If you are upgrading within the Core -> updates-released path, you should not
encounter this type of problem.

It might not be a bad idea to simply have an admonition in the doc about using
yum with Rawhide.  Stuart, I leave this one up to your discretion.

Comment 6 Peter Ennis 2005-10-13 15:25:08 UTC
I am running rawhide.
I have no problem with an admonition if it also points to a solution, e.g. a 
reference to the answer (hopefully :) referred to on fedora-devel-list.

PFE


Comment 7 Stuart Ellis 2005-10-13 21:41:56 UTC
I think that you've highlighted a weakness in the currently available
documentation - AFAIK the only documentation specifically for Rawhide is the
Testing Guide in development on the Wiki:

http://www.fedoraproject.org/wiki/Docs/Drafts/TestingGuide

Fedora kernel packages install a new kernel and make it the default, but the
previous kernels (and their packages) are retained on the system, so it normally
it just works and you can rollback to older kernels at any time. There ought to
be a note on kernel packages in this document - I've now filed #170709 to remind
me to fix this.

Version upgrading and switching to Rawhide require a bit more than the standard
yum commands, and details vary over time, so I think that those cases are
probably better handled by separate documents, like the FAQ that you mentioned.


Comment 8 Paul W. Frields 2005-10-14 11:25:59 UTC
I don't think we should reference answers to very specific Rawhide problems
which may or may not exist in the future.  Since FC5 -> Rawhide won't show this
specific problem, the admonition would then be meaningless.  Instead, let's have
any such admonition point to the Testing Guide for further information.

Comment 9 eric@christensenplace.us 2008-01-16 16:33:35 UTC
Is this still a problem?


Note You need to log in before you can comment on or make changes to this bug.